<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qs.mp.system.mapper.SnowflakeDatacenterMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qs.mp.system.domain.SnowflakeDatacenter">
        <id column="data_id" property="dataId" />
        <result column="mac_address" property="macAddress" />
        <result column="host_name" property="hostName" />
        <result column="remark" property="remark" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        data_id, mac_address, host_name, remark, create_time, update_time
    </sql>

</mapper>